function get_files_time_tags, dataFilePath, structToUse
    HEADER_LENGTH = 32

    useSecond1996Field = 0
    useSecond1996MinorFrame0Field = 0
    useBinStartField = 0
    structName = strlowcase(tag_names(structToUse, /STRUCTURE_NAME))
    if (strpos(structName, 'browse') GE 0) then useBinStartField = 1	    $
    else if (strpos(structName, 'commandtable') GE 0) then		    $
					useSecond1996MinorFrame0Field = 1   $
    else if (strpos(structName, 'diagnosticevent') GE 0) then		    $
					useSecond1996MinorFrame0Field = 1   $
    else useSecond1996Field = 1

	; what if data file does not exist?
    if (file_exists(dataFilePath) EQ 0) then begin
	; print, 'FLAG: ', dataFilePath, ' does not exist.  No data that day?'
	return, 0L
    endif

    get_lun, lun
    openr, lun, dataFilePath

	; an assoc is used instead of readu because all structs are
	; padded out to an int address when written if they aren't
	; an integral number of int lenghts long.  assoc understands
	; this and takes care of it automatically.

    structsInFileCount = get_files_struct_count(dataFilePath, structToUse)
    fileAssoc = assoc(lun, replicate(structToUse, structsInFileCount),	$
							HEADER_LENGTH)
    structArray = fileAssoc[0]

    close, lun
    free_lun, lun

    if (useSecond1996Field) then begin
	indexes = where(structArray.Second1996 NE 0, cnt)
	if (cnt LT 1) then return, 0L
	structArray = structArray(indexes)
	return, structArray.Second1996
    endif								    $
    else if (useSecond1996MinorFrame0Field) then begin
	indexes = where(structArray.Second1996MinorFrame0 NE 0,cnt)
	if (cnt LT 1) then return, 0L
	structArray = structArray(indexes)
	return, structArray.Second1996MinorFrame0
    endif								    $
    else if (useBinStartField) then begin
	indexes = where(structArray.bin_start NE 0, cnt)
	if (cnt LT 1) then return, 0L
	structArray = structArray(indexes)
	return, structArray.bin_start
    endif

    return , -1L	; error condition
end
